
By accident, at 9 years old, a glass jar broke as I tripped over a rock severing my main bicep artery in my arm. This is what I have always remembered. Nothing ever changed. Blood was squirting 3 feet in the air. I ran towards my house screaming and crying. My Mother came out of the house and grabbed my arm to stop the bleeding.

My next memory was me, on a table being rushed to the Emergency Room. Right as I got to the doors, I remember my Mom running up to me; I was crying and hugged her. Then we were crashing through the doors, being lifted from one table to another. I remember seeing those big oval surgery lights and that was it. I was completely out of blood. The Doctors told my Mom that it was a miracle I survived. I told this story dozens of times.

Then in my 30s I was telling my Mother what I remembered about the incident and she laughed at me. She told me that when I ran to her, I was bleeding and collapsed unconscious. She said I didn't regain consciousness until after the surgery. I couldn't believe it. But then I thought, how was this possible? I always remembered seeing myself in the third person from above like I was hovering. I swear on my Life this is true. Nothing religious but it was amazing.
